/***************************************************************************
 *   basecode - archive of useful C++ classes                              *
 *   Copyright (C) 2004 by Michal Turek - Woq                              *
 *   WOQ (at) seznam.cz, http://woq.nipax.cz/                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "cdynamicobject.h"

namespace basecode
{

CDynamicObject::CDynamicObject() :
	stopped(false),
	m_vel(0.0f, 0.0f, 0.0f),
	m_acc(0.0f, 0.0f, 0.0f)
{

}

CDynamicObject::~CDynamicObject()
{
	Destroy();
}

void CDynamicObject::Init(GLuint texture, float width, float height,
		CVector<float>& pos, CVector<float>& vel,
		CVector<float>& acc)
{
	CStaticObject::Init(texture, width, height, pos);
	m_vel = vel;
	m_acc = acc;
}

void CDynamicObject::Update(float fps)
{
	if(!stopped)
	{
		m_vel += m_acc / fps;
		m_pos += m_vel / fps;
	}
}

}
